[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TQWordHelper.TryParse

Try to convert a string to a QWord, report success or failure

## Declaration

Source position: syshelph.inc line 568

`public class function TQWordHelper.TryParse(`
`const AString: string;`
`out AValue: QWord`
`):Boolean;`

## Description

TryParse attempts to convert the string AString to a QWord, and reports the success of the attempt. If the attempt is successful, then True is returned, and the actual value of the QWord is returned in AValue.

It uses the val function to perform the conversion, so no localization is taken into account.

## See also

TQWordHelper.Parse |  | Convert from a string
Val |  | Calculate numerical/enumerated value of a string.